
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 供应商详情VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
public class SupplierDetailVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "供应商简介")
    private String intro;

    @Schema(description = "接收短信号码")
    private String noticeMobile;

    @Schema(description = "供应商logo(可修改)")
    private String supplierLogo;

    @Schema(description = "供应商移动端背景图")
    private String mobileBackgroundPic;

    @Schema(description = "供应商pc背景图")
    private String pcBackgroundPic;

    @Schema(description = "供应商状态(-1:已删除 0: 停业中 1:营业中 2:平台下线 3:开店待审核 4:开店申请中 5:上线待审核)")
    private Integer supplierStatus;

    @Schema(description = "供应商类型1自营店 2普通店")
    private Integer type;

    @Schema(description = "是否优选好店 1.是 0.不是")
    private Integer isPreferred;

    @Schema(description = "供应商供应商名称")
    private String supplierShopName;

    @Schema(description = "联系人")
    private String contactName;

    @Schema(description = "联系方式")
    private String contactPhone;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

    @Schema(description = "是否在通联创建了企业会员 0否1是")
    private Integer isCreateMember;

    @Schema(description = "是否在通联绑定了手机号 0否1是")
    private Integer isBindPhone;

    @Schema(description = "企业信息审核状态 0.未提交 1.待审核 2.审核成功 3.审核失败")
    private Integer companyInfoProcessStatus;

    @Schema(description = "影印件采集审核状态  0.未上传 1.待审核 2.只有工商认证通过 3.只有法人信息通过 4.均审核通过")
    private Integer idCardCollectProcessStatus;

    @Schema(description = "通联供应商状态 0未开通 1营业中 2平台下线 3上线待审核 4开店待审核")
    private Integer allinpaySupplierStatus;

    @Schema(description = "企业账户提现协议编号")
    private String companyAcctProtocolNo;

    @Schema(description = "法人账户提现协议编号")
    private String legalAcctProtocolNo;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public String getNoticeMobile() {
        return noticeMobile;
    }

    public void setNoticeMobile(String noticeMobile) {
        this.noticeMobile = noticeMobile;
    }

    public String getSupplierLogo() {
        return supplierLogo;
    }

    public void setSupplierLogo(String supplierLogo) {
        this.supplierLogo = supplierLogo;
    }

    public String getMobileBackgroundPic() {
        return mobileBackgroundPic;
    }

    public void setMobileBackgroundPic(String mobileBackgroundPic) {
        this.mobileBackgroundPic = mobileBackgroundPic;
    }

    public String getPcBackgroundPic() {
        return pcBackgroundPic;
    }

    public void setPcBackgroundPic(String pcBackgroundPic) {
        this.pcBackgroundPic = pcBackgroundPic;
    }

    public Integer getSupplierStatus() {
        return supplierStatus;
    }

    public void setSupplierStatus(Integer supplierStatus) {
        this.supplierStatus = supplierStatus;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getIsPreferred() {
        return isPreferred;
    }

    public void setIsPreferred(Integer isPreferred) {
        this.isPreferred = isPreferred;
    }

    public String getSupplierShopName() {
        return supplierShopName;
    }

    public void setSupplierShopName(String supplierShopName) {
        this.supplierShopName = supplierShopName;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public Date getContractStartTime() {
        return contractStartTime;
    }

    public void setContractStartTime(Date contractStartTime) {
        this.contractStartTime = contractStartTime;
    }

    public Date getContractEndTime() {
        return contractEndTime;
    }

    public void setContractEndTime(Date contractEndTime) {
        this.contractEndTime = contractEndTime;
    }

    public Integer getIsCreateMember() {
        return isCreateMember;
    }

    public void setIsCreateMember(Integer isCreateMember) {
        this.isCreateMember = isCreateMember;
    }

    public Integer getIsBindPhone() {
        return isBindPhone;
    }

    public void setIsBindPhone(Integer isBindPhone) {
        this.isBindPhone = isBindPhone;
    }

    public Integer getCompanyInfoProcessStatus() {
        return companyInfoProcessStatus;
    }

    public void setCompanyInfoProcessStatus(Integer companyInfoProcessStatus) {
        this.companyInfoProcessStatus = companyInfoProcessStatus;
    }

    public Integer getIdCardCollectProcessStatus() {
        return idCardCollectProcessStatus;
    }

    public void setIdCardCollectProcessStatus(Integer idCardCollectProcessStatus) {
        this.idCardCollectProcessStatus = idCardCollectProcessStatus;
    }

    public Integer getAllinpaySupplierStatus() {
        return allinpaySupplierStatus;
    }

    public void setAllinpaySupplierStatus(Integer allinpaySupplierStatus) {
        this.allinpaySupplierStatus = allinpaySupplierStatus;
    }

    public String getCompanyAcctProtocolNo() {
        return companyAcctProtocolNo;
    }

    public void setCompanyAcctProtocolNo(String companyAcctProtocolNo) {
        this.companyAcctProtocolNo = companyAcctProtocolNo;
    }

    public String getLegalAcctProtocolNo() {
        return legalAcctProtocolNo;
    }

    public void setLegalAcctProtocolNo(String legalAcctProtocolNo) {
        this.legalAcctProtocolNo = legalAcctProtocolNo;
    }

    @Override
    public String toString() {
        return "SupplierDetailVO{" +
                "supplierId=" + supplierId +
                ", supplierName='" + supplierName + '\'' +
                ", intro='" + intro + '\'' +
                ", noticeMobile='" + noticeMobile + '\'' +
                ", supplierLogo='" + supplierLogo + '\'' +
                ", mobileBackgroundPic='" + mobileBackgroundPic + '\'' +
                ", pcBackgroundPic='" + pcBackgroundPic + '\'' +
                ", supplierStatus=" + supplierStatus +
                ", type=" + type +
                ", isPreferred=" + isPreferred +
                ", supplierShopName='" + supplierShopName + '\'' +
                ", contactName='" + contactName + '\'' +
                ", contactPhone='" + contactPhone + '\'' +
                ", contractStartTime=" + contractStartTime +
                ", contractEndTime=" + contractEndTime +
                ", isCreateMember=" + isCreateMember +
                ", isBindPhone=" + isBindPhone +
                ", companyInfoProcessStatus=" + companyInfoProcessStatus +
                ", idCardCollectProcessStatus=" + idCardCollectProcessStatus +
                ", allinpaySupplierStatus=" + allinpaySupplierStatus +
                ", companyAcctProtocolNo='" + companyAcctProtocolNo + '\'' +
                ", legalAcctProtocolNo='" + legalAcctProtocolNo + '\'' +
                '}';
    }
}
